# Options Class Reference

`#include <options.hpp>`

List of all members.

## Public Member Functions
| Options (const Iterate &x, Ipopt::IpoptApplication &app, const mxArray *ptr)
| ~Options ()
const double * | lowerbounds () const
const double * | upperbounds () const
const double * | constraintlb () const
const double * | constraintub () const
const IpoptOptions | ipoptOptions () const
const double * | multlb () const
const double * | multub () const
const double * | multconstr () const
## Static Protected Member Functions
static double * | loadLowerBounds (int n, const mxArray *ptr, double neginfty)
static double * | loadUpperBounds (int n, const mxArray *ptr, double posinfty)
static int | loadConstraintBounds (const mxArray *ptr, double *&cl, double *&cu, double neginfty, double posinfty)
static void | loadMultipliers (int n, int m, const mxArray *ptr, double *&zl, double *&zu, double *&lambda)
## Protected Attributes
int | n
int | m
double * | lb
double * | ub
double * | cl
double * | cu
double * | zl
double * | zu
double * | lambda
IpoptOptions | ipopt
## Friends
int | numvars (const Options &options)
int | numconstraints (const Options &options)

## Detailed Description

Definition at line 19 of file options.hpp.

## Constructor & Destructor Documentation

Options::Options | ( | const Iterate & | x,
|  | Ipopt::IpoptApplication & | app,
|  | const mxArray * | ptr |
| ) |  |  |

Options::~Options | ( |  | ) |

## Member Function Documentation

const double* Options::lowerbounds | ( |  | ) | const`[inline]`

Definition at line 37 of file options.hpp.

const double* Options::upperbounds | ( |  | ) | const`[inline]`

Definition at line 38 of file options.hpp.

const double* Options::constraintlb | ( |  | ) | const`[inline]`

Definition at line 39 of file options.hpp.

const double* Options::constraintub | ( |  | ) | const`[inline]`

Definition at line 40 of file options.hpp.

const IpoptOptions Options::ipoptOptions | ( |  | ) | const`[inline]`

Definition at line 43 of file options.hpp.

const double* Options::multlb | ( |  | ) | const`[inline]`

Definition at line 46 of file options.hpp.

const double* Options::multub | ( |  | ) | const`[inline]`

Definition at line 47 of file options.hpp.

const double* Options::multconstr | ( |  | ) | const`[inline]`

Definition at line 48 of file options.hpp.

static double* Options::loadLowerBounds | ( | int | n,
|  | const mxArray * | ptr,
|  | double | neginfty |
| ) |  |  | `[static, protected]`

static double* Options::loadUpperBounds | ( | int | n,
|  | const mxArray * | ptr,
|  | double | posinfty |
| ) |  |  | `[static, protected]`

static int Options::loadConstraintBounds | ( | const mxArray * | ptr,
|  | double *& | cl,
|  | double *& | cu,
|  | double | neginfty,
|  | double | posinfty |
| ) |  |  | `[static, protected]`

static void Options::loadMultipliers | ( | int | n,
|  | int | m,
|  | const mxArray * | ptr,
|  | double *& | zl,
|  | double *& | zu,
|  | double *& | lambda |
| ) |  |  | `[static, protected]`

## Friends And Related Function Documentation

int numvars | ( | const Options & | options | ) | `[friend]`

Definition at line 33 of file options.hpp.

int numconstraints | ( | const Options & | options | ) | `[friend]`

Definition at line 34 of file options.hpp.

## Member Data Documentation

int Options::n`[protected]`

Definition at line 48 of file options.hpp.

int Options::m`[protected]`

Definition at line 52 of file options.hpp.

double* Options::lb`[protected]`

Definition at line 53 of file options.hpp.

double* Options::ub`[protected]`

Definition at line 54 of file options.hpp.

double* Options::cl`[protected]`

Definition at line 55 of file options.hpp.

double* Options::cu`[protected]`

Definition at line 56 of file options.hpp.

double* Options::zl`[protected]`

Definition at line 57 of file options.hpp.

double* Options::zu`[protected]`

Definition at line 58 of file options.hpp.

double* Options::lambda`[protected]`

Definition at line 59 of file options.hpp.

IpoptOptions Options::ipopt`[protected]`

Definition at line 60 of file options.hpp.

The documentation for this class was generated from the following file:

- contrib/MatlabInterface/src/options.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines